From f3b84e74952397f323b00dda2de904ba652718c8 Mon Sep 17 00:00:00 2001
From: Cedric Roux <cedric.roux@eurecom.fr>
Date: Tue, 10 Jan 2017 16:52:52 +0100
Subject: [PATCH] include init_nas_s1 in the repository

init_nas_s1 may not work properly, but many people complain
about this file, so let's put it in the repository.

We'll fix it at some point if it's not properly usable.
---
 cmake_targets/tools/init_nas_s1 | 71 +++++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)
 create mode 100644 cmake_targets/tools/init_nas_s1

diff --git a/cmake_targets/tools/init_nas_s1 b/cmake_targets/tools/init_nas_s1
new file mode 100644
index 0000000000..5f27c52837
--- /dev/null
+++ b/cmake_targets/tools/init_nas_s1
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+#WARNING: this file may not work properly, be sure to know what you
+#do when using it
+
+#/*
+# * Licensed to the OpenAirInterface (OAI) Software Alliance under one or more
+# * contributor license agreements.  See the NOTICE file distributed with
+# * this work for additional information regarding copyright ownership.
+# * The OpenAirInterface Software Alliance licenses this file to You under
+# * the OAI Public License, Version 1.0  (the "License"); you may not use this file
+# * except in compliance with the License.
+# * You may obtain a copy of the License at
+# *
+# *      http://www.openairinterface.org/?page_id=698
+# *
+# * Unless required by applicable law or agreed to in writing, software
+# * distributed under the License is distributed on an "AS IS" BASIS,
+# * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# * See the License for the specific language governing permissions and
+# * limitations under the License.
+# *-------------------------------------------------------------------------------
+# * For more information about the OpenAirInterface (OAI) Software Alliance:
+# *      contact@openairinterface.org
+# */
+
+################################################################################
+# file init_nas_s1
+# brief loads the ue_ip module and sets up IP for the UE
+# you may want to edit it to fit your settings (replace oip0 by oipX for
+# instance)
+# author Florian Kaltenberger
+#
+#######################################
+
+LTEIF=oip0
+#OPENAIR_DIR=/home/oai/svn-oai/openair4G
+
+load_module() {
+  mod_name=${1##*/}
+  mod_name=${mod_name%.*}
+  if awk "/$mod_name/ {found=1 ;exit} END {if (found!=1) exit 1}" /proc/modules
+    then
+      echo "module $mod_name already loaded: I remove it first"
+      sudo rmmod $mod_name
+  fi
+  echo loading $mod_name
+  sudo insmod $1
+}
+
+load_module $OPENAIR_DIR/targets/bin/ue_ip.ko
+
+if [ "$1" = "UE" ]; then
+  echo "bring up oip0 interface for UE"
+  ifconfig oip0 up
+fi
+
+ip route flush cache
+sleep 1
+sysctl -w net.ipv4.conf.all.log_martians=1
+echo "Disabling reverse path filtering"
+sysctl -w net.ipv4.conf.all.rp_filter=0
+ip route flush cache
+
+# Check table 200 lte in /etc/iproute2/rt_tables
+fgrep lte /etc/iproute2/rt_tables  > /dev/null 
+if [ $? -ne 0 ]; then
+    echo "200 lte " >> /etc/iproute2/rt_tables
+fi
+ip rule add fwmark 1 table lte
+ip route add default dev $LTEIF table lte
-- 
GitLab